#ifndef _PRINTER_UART_DRV_H
#define _PRINTER_UART_DRV_H
//#include "sys.h"
#include "main.h"

#define PRINTER_DRV_ENABLE() 		LL_GPIO_SetOutputPin(GPIOA, LL_GPIO_PIN_7)
#define PRINTER_DRV_DISABLE() 	LL_GPIO_ResetOutputPin(GPIOA, LL_GPIO_PIN_7)

#define GET_PRINTER_STATUS() 		LL_GPIO_IsInputPinSet(GPIOC, LL_GPIO_PIN_4)



extern void printer_init(void);
extern void printer_task(void);//1S
extern void uart_printer_task(void);

extern unsigned int printer_is_busy(void);
extern unsigned int print_text(char * p_data);
extern unsigned int set_print_text(char * p_data, unsigned int len);

extern void printer_reset_callback(void);

#endif 
